summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorRobin H. Johnson <robbat2@gentoo.org>2015-08-08 13:49:04 -0700
committerRobin H. Johnson <robbat2@gentoo.org>2015-08-08 17:38:18 -0700
commit56bd759df1d0c750a065b8c845e93d5dfa6b549d (patch)
tree3f91093cdb475e565ae857f1c5a7fd339e2d781e /dev-embedded/avrdude
downloadgentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.gz
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.bz2
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.zip
proj/gentoo: Initial commit
This commit represents a new era for Gentoo: Storing the gentoo-x86 tree in Git, as converted from CVS. This commit is the start of the NEW history. Any historical data is intended to be grafted onto this point. Creation process: 1. Take final CVS checkout snapshot 2. Remove ALL ChangeLog* files 3. Transform all Manifests to thin 4. Remove empty Manifests 5. Convert all stale $Header$/$Id$ CVS keywords to non-expanded Git $Id$ 5.1. Do not touch files with -kb/-ko keyword flags. Signed-off-by: Robin H. Johnson <robbat2@gentoo.org> X-Thanks: Alec Warner <antarus@gentoo.org> - did the GSoC 2006 migration tests X-Thanks: Robin H. Johnson <robbat2@gentoo.org> - infra guy, herding this project X-Thanks: Nguyen Thai Ngoc Duy <pclouds@gentoo.org> - Former Gentoo developer, wrote Git features for the migration X-Thanks: Brian Harring <ferringb@gentoo.org> - wrote much python to improve cvs2svn X-Thanks: Rich Freeman <rich0@gentoo.org> - validation scripts X-Thanks: Patrick Lauer <patrick@gentoo.org> - Gentoo dev, running new 2014 work in migration X-Thanks: Michał Górny <mgorny@gentoo.org> - scripts, QA, nagging X-Thanks: All of other Gentoo developers - many ideas and lots of paint on the bikeshed
Diffstat (limited to 'dev-embedded/avrdude')
-rw-r--r--dev-embedded/avrdude/Manifest9
-rw-r--r--dev-embedded/avrdude/avrdude-5.11.1.ebuild56
-rw-r--r--dev-embedded/avrdude/avrdude-6.0.1.ebuild54
-rw-r--r--dev-embedded/avrdude/avrdude-6.1.ebuild59
-rw-r--r--dev-embedded/avrdude/metadata.xml8
5 files changed, 186 insertions, 0 deletions
diff --git a/dev-embedded/avrdude/Manifest b/dev-embedded/avrdude/Manifest
new file mode 100644
index 00000000000..658c1f3799a
--- /dev/null
+++ b/dev-embedded/avrdude/Manifest
@@ -0,0 +1,9 @@
+DIST avrdude-5.11.1.tar.gz 570880 SHA256 52cd4586ec28e892407ae09e81bb8e719df08ee79acd88e5110fa890c82cec90 SHA512 af0154a54011490194aabe5a3d4f40ebf33404d73d41d2c25f01f3f3606f5cdb4de9377b83dc19fc7743e448f8385e3602654deaea9ed5f8dd9f037c7fa53978 WHIRLPOOL 902eff357778e3944ec8c6ee90f3f619473726e9ebac4b1b6f8fc68c95dea529218db53140c533c7bb2775efbb92ee75df6123bb9cf4b561cf84dca8bc28685a
+DIST avrdude-6.0.1.tar.gz 692284 SHA256 c6804668dfa96b23185dfe2e8239089af4e4ae0b11aa7435bebb28c3260ede41 SHA512 5d067c283b06e0e17b68bdcabc55ff848364c9d89aa2f9e95ef60b5b5c3f81418c2c416ef47e1c5895b27152f8b6c8f6e25e20af0c59d2a2e9a62e0da90c5905 WHIRLPOOL b00460d49f0e08af5aa1e0b13d919afb0f1fcf04a6d3e3f411b6f7cc22ffcbaa4b1eeffddcc4c7a639ab37732e8f1c8e0b075131f35409946713d687a5dee669
+DIST avrdude-6.1.tar.gz 714595 SHA256 9e98baca8e57cad402aaa1c7b61c8de750ed4f6fed577f7e4935db0430783d3b SHA512 7d9d12f1597308dd059a1ab43dca31ad145601c59f8655d7edb596224a754694202c0838f2b907398f796ef7bed90c5dc6a58d811481dd775da1e07b842362de WHIRLPOOL 714b13834b87ec759eb1d5c87848d7ff8a404dc0d1d8ab5dd5b98731de51302af2f01afbdb1a060d8ed92d158eabbf3ea656afc29ce9b865fb7c7574751e65a9
+DIST avrdude-doc-5.11.1.pdf 242953 SHA256 2f017acf39bb64256f424671b0a839b2d7544639d1a57702d5de2cb4d534ed1d SHA512 9250b304273857cb40550958765f97697fc4d0e500d5b58eca76f30215699f4f48db27e65eec7437e1d8f059f3162491c7cae535b76dfc474fd3bae8133616ae WHIRLPOOL 5d59567f3f8c7e1e8d238a11fe7370a5ec5fafca1d815a82d52a50692032e774c077941c685dd8d2477b14d7c09ca85d2ac7a6baaa8f57c085c3f17a6c336f45
+DIST avrdude-doc-5.11.1.tar.gz 35915 SHA256 62b645282bd87ffedeac4b94b15fb868dfbadfaa4a63373a25ede9c7c53d4217 SHA512 baae5afb1596af1e4c8df321352bd4edb18095ecd3c7ad79c760200a8067573e92f3ce6300a3db518d44734cf8951a4c088835ca4aa6168c8725adddff640848 WHIRLPOOL b2f3e74aac6b466ede0873b3f7b6b75ca8e2cb25ce7b94277a76e600200dabd9ae8640ce15f5ab64785da5fb0555152b29ce7c1b5332b7fd320c71295aa0fe2a
+DIST avrdude-doc-6.0.1.pdf 256686 SHA256 9aa5fdda4c6eafb6b1df2b8097db61896a47a514d2e23dc7858608388607dc35 SHA512 187809725916ea37a203f55ba44d8ef1f9af651413a75169a54465d367823cde008b7bcf77cd53937e1b0bbb1e33071e6f45564b2f03c31247bb666befe2126a WHIRLPOOL 6b3fae078ba1972fb5368801b049f48ce6f457a1b221e1ccde0329a223a8b017b72f519d6ab1bfc3d2f5a19b57237335d9bc98cb8e373d18963ea632f079bde7
+DIST avrdude-doc-6.0.1.tar.gz 40339 SHA256 19d4323bd3768ced807edf225d8129475ba83785ea0f74c29b6bfaddd459a7ef SHA512 a9744784650751b8e601bb3fce45e3e0816db9971d7e32e5d7075997f4662a94ea38a3e372480b28f2e109c12e37914496077f2698946ffd92dea9d1fe8676f0 WHIRLPOOL 4bc3caef70a380e5ad8e792a53de04ed3b1236d4438b405370a528b8fa06342476b34a0487534a1bc16acb5ce32d82f9fc8db09e370dfc33c5306fe698278d19
+DIST avrdude-doc-6.1.pdf 259286 SHA256 b1734f0cd718bfb83398bbb2c2e69c392694300b0e3b281d1c8c59b3d37f7599 SHA512 97db435758e5d9d8173180dd860a28008b050988b81651b383b5b13ff081e79985b5b18c245a855221e773dbbe1dddbc2e69bf91211aae4429415b53be56d769 WHIRLPOOL d9c7a786523260491edf1978f2bc540e6ca5ba677eb7a4cf0725037d9373e0e319d1e3c1136efaaed7f6d86caa2de5a1468de974e1c66621a82108ebfcf7edbf
+DIST avrdude-doc-6.1.tar.gz 41567 SHA256 e34cd4282e86da0f791575fd1fd6db250524cf1c7b14952ddf1ccc113952b9de SHA512 9a667c007203b577fce722beaf77b1b38e68de05ce256745fe3bd53397145aa3f2526b8ac8664c8192c368098d171704ba78d81cfcbe99384050702461f012bf WHIRLPOOL 658e62d74c1d2b8f7f1dae316d8966d4136bd4e24853620bb07faab87b02c7d7d32bbe2406ba46700758584bc3e80a16e6cd1e247a5fd8280f80ad15f6daa5f4
diff --git a/dev-embedded/avrdude/avrdude-5.11.1.ebuild b/dev-embedded/avrdude/avrdude-5.11.1.ebuild
new file mode 100644
index 00000000000..e3c22276066
--- /dev/null
+++ b/dev-embedded/avrdude/avrdude-5.11.1.ebuild
@@ -0,0 +1,56 @@
+# Copyright 1999-2012 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI="4"
+
+inherit eutils
+
+DESCRIPTION="AVR Downloader/UploaDEr"
+HOMEPAGE="http://savannah.nongnu.org/projects/avrdude"
+SRC_URI="mirror://nongnu/${PN}/${P}.tar.gz
+ doc? (
+ mirror://nongnu/${PN}/${PN}-doc-${PV}.tar.gz
+ mirror://nongnu/${PN}/${PN}-doc-${PV}.pdf
+ )"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="amd64 arm ppc ppc64 x86"
+IUSE="doc ftdi ncurses readline"
+
+RDEPEND="virtual/libusb:1
+ ftdi? ( dev-embedded/libftdi )
+ ncurses? ( sys-libs/ncurses )
+ readline? ( sys-libs/readline )"
+DEPEND="${RDEPEND}"
+
+DOCS="AUTHORS ChangeLog* NEWS README"
+
+src_prepare() {
+ # let the build system re-generate these, bug #120194
+ rm -f lexer.c config_gram.c config_gram.h
+}
+
+src_configure() {
+ export ac_cv_lib_ftdi_ftdi_usb_get_strings=$(usex ftdi)
+ export ac_cv_lib_ncurses_tputs=$(usex ncurses)
+ export ac_cv_lib_readline_readline=$(usex readline)
+ default
+}
+
+src_compile() {
+ # The automake target for these files does not use tempfiles or create
+ # these atomically, confusing a parallel build. So we force them first.
+ emake lexer.c config_gram.c config_gram.h
+ emake
+}
+
+src_install() {
+ default
+
+ if use doc ; then
+ newdoc "${DISTDIR}/${PN}-doc-${PV}.pdf" avrdude.pdf
+ dohtml -r "${WORKDIR}/avrdude-html/"
+ fi
+}
diff --git a/dev-embedded/avrdude/avrdude-6.0.1.ebuild b/dev-embedded/avrdude/avrdude-6.0.1.ebuild
new file mode 100644
index 00000000000..ced4d2c5385
--- /dev/null
+++ b/dev-embedded/avrdude/avrdude-6.0.1.ebuild
@@ -0,0 +1,54 @@
+# Copyright 1999-2014 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+DESCRIPTION="AVR Downloader/UploaDEr"
+HOMEPAGE="http://savannah.nongnu.org/projects/avrdude"
+SRC_URI="mirror://nongnu/${PN}/${P}.tar.gz
+ doc? (
+ mirror://nongnu/${PN}/${PN}-doc-${PV}.tar.gz
+ mirror://nongnu/${PN}/${PN}-doc-${PV}.pdf
+ )"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~ppc ~ppc64 ~x86"
+IUSE="doc ftdi ncurses readline"
+
+RDEPEND="virtual/libusb:1
+ ftdi? ( dev-embedded/libftdi )
+ ncurses? ( sys-libs/ncurses )
+ readline? ( sys-libs/readline )"
+DEPEND="${RDEPEND}"
+
+DOCS="AUTHORS ChangeLog* NEWS README"
+
+src_prepare() {
+ # let the build system re-generate these, bug #120194
+ rm -f lexer.c config_gram.c config_gram.h || die
+}
+
+src_configure() {
+ export ac_cv_lib_ftdi_ftdi_usb_get_strings=$(usex ftdi)
+ export ac_cv_lib_ncurses_tputs=$(usex ncurses)
+ export ac_cv_lib_readline_readline=$(usex readline)
+ default
+}
+
+src_compile() {
+ # The automake target for these files does not use tempfiles or create
+ # these atomically, confusing a parallel build. So we force them first.
+ emake lexer.c config_gram.c config_gram.h
+ emake
+}
+
+src_install() {
+ default
+
+ if use doc ; then
+ newdoc "${DISTDIR}/${PN}-doc-${PV}.pdf" avrdude.pdf
+ dohtml -r "${WORKDIR}/avrdude-html/"
+ fi
+}
diff --git a/dev-embedded/avrdude/avrdude-6.1.ebuild b/dev-embedded/avrdude/avrdude-6.1.ebuild
new file mode 100644
index 00000000000..7965fea5f4e
--- /dev/null
+++ b/dev-embedded/avrdude/avrdude-6.1.ebuild
@@ -0,0 +1,59 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+inherit toolchain-funcs
+
+DESCRIPTION="AVR Downloader/UploaDEr"
+HOMEPAGE="http://savannah.nongnu.org/projects/avrdude"
+SRC_URI="mirror://nongnu/${PN}/${P}.tar.gz
+ doc? (
+ mirror://nongnu/${PN}/${PN}-doc-${PV}.tar.gz
+ mirror://nongnu/${PN}/${PN}-doc-${PV}.pdf
+ )"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~ppc ~ppc64 ~x86"
+IUSE="doc ftdi ncurses readline"
+
+RDEPEND="virtual/libusb:1
+ virtual/libusb:0
+ ftdi? ( dev-embedded/libftdi )
+ ncurses? ( sys-libs/ncurses )
+ readline? ( sys-libs/readline )"
+DEPEND="${RDEPEND}"
+
+DOCS="AUTHORS ChangeLog* NEWS README"
+
+src_prepare() {
+ # let the build system re-generate these, bug #120194
+ rm -f lexer.c config_gram.c config_gram.h || die
+}
+
+src_configure() {
+ # somehow this doesnt get set when cross-compiling and breaks build
+ tc-export AR
+ export ac_cv_lib_ftdi_ftdi_usb_get_strings=$(usex ftdi)
+ export ac_cv_lib_ncurses_tputs=$(usex ncurses)
+ export ac_cv_lib_readline_readline=$(usex readline)
+ default
+}
+
+src_compile() {
+ # The automake target for these files does not use tempfiles or create
+ # these atomically, confusing a parallel build. So we force them first.
+ emake lexer.c config_gram.c config_gram.h
+ emake
+}
+
+src_install() {
+ default
+
+ if use doc ; then
+ newdoc "${DISTDIR}/${PN}-doc-${PV}.pdf" avrdude.pdf
+ dohtml -r "${WORKDIR}/avrdude-html/"
+ fi
+}
diff --git a/dev-embedded/avrdude/metadata.xml b/dev-embedded/avrdude/metadata.xml
new file mode 100644
index 00000000000..1962441214e
--- /dev/null
+++ b/dev-embedded/avrdude/metadata.xml
@@ -0,0 +1,8 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <herd>dev-embedded</herd>
+<use>
+ <flag name='ftdi'>Enable support for USB FTDI chips via <pkg>dev-embedded/libftdi</pkg></flag>
+</use>
+</pkgmetadata>